%define  upstream_name DbUnit
##%global __requires_exclude pear\\(TestConfiguration.php\\)
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	1.3.1
Release:	%mkrel 7
Summary:	DbUnit port for PHP/PHPUnit
License:	BSD
Group:		Development/PHP
URL:		http://pear.phpunit.de/package/DbUnit
Source0:	http://pear.phpunit.de/get/DbUnit-%{version}.tgz
Requires(post): php-pear > 1.9.4
Requires(preun): php-pear >= 1.9.4
Requires:	php-pear >= 1.9.4
Requires:	php-channel-phpunit
Requires: 	php-pear-PHPUnit >= 3.7.0
BuildRequires:	php-pear >= 1.9.4
BuildRequires:	php-channel-phpunit
BuildArch:	noarch


%description
DbUnit port for PHP/PHPUnit to support database interaction testing.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/DbUnit.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/DbUnit.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/DbUnit
fi

%files
%doc docs/DbUnit/*
%{_bindir}/*
%{peardir}/*
%{xmldir}/DbUnit.xml




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.3.1-7.mga8
+ Revision: 1498840
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.3.1-6.mga7
+ Revision: 1273186
- Mageia 7 Mass Rebuild

* Fri Jan 29 2016 umeabot <umeabot> 1.3.1-5.mga6
+ Revision: 928883
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-4.mga5
+ Revision: 743609
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 1.3.1-3.mga5
+ Revision: 725181
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-2.mga5
+ Revision: 687239
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Jun 21 2014 spuhler <spuhler> 1.3.1-1.mga5
+ Revision: 638557
+ rebuild (emptylog)

* Sat Oct 19 2013 umeabot <umeabot> 1.2.3-3.mga4
+ Revision: 526415
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 spuhler <spuhler> 1.2.3-2.mga4
+ Revision: 436915
- removed 8n-needed deps and added neede deps per upstream
 * removed Requires: php-cli
 * removed Requires: symfony-YAML >= 1.0.2
 * added equires: php-pear-PHPUnit >= 3.7.0

* Mon Jun 03 2013 spuhler <spuhler> 1.2.3-1.mga4
+ Revision: 436788
- upgrade to ver. 1.2.3

* Sun Jan 13 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 376074
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 11 2012 spuhler <spuhler> 1.1.2-1.mga2
+ Revision: 207433
- upgrade to 1.1.2

* Tue Nov 15 2011 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 167910
- upgrade to 1.1.1
  Spec file pearized

* Thu Jul 14 2011 spuhler <spuhler> 1.0.2-2.mga2
+ Revision: 123907
- changed Requires from YAML to Requires: symfony-YAML
  increase rel to 2

* Mon Jul 11 2011 spuhler <spuhler> 1.0.2-1.mga2
+ Revision: 122004
- imported package php-pear-DbUnit

